<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            // بيانات السائق
            $table->string('name_ar')->nullable()->after('name');
            $table->string('vehicle_type')->nullable()->after('name_ar');
            $table->string('vehicle_color')->nullable()->after('vehicle_type');
            $table->string('license_plate')->nullable()->after('vehicle_color');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['name_ar', 'vehicle_type', 'vehicle_color', 'license_plate']);
        });
    }
};